%% Rundungsfehler am Beispiel der Eulerschen Zahl
%%
% 
% $$e = \lim_{n\rightarrow \infty}\left(1 + \frac{1}{n}\right)^n$$
% 
% 

% W. Schweizer
% Simulation physikalischer Systeme - Computational Physics mit MATLAB -
% Vers. 1.0
% 03.2016

figure
format long
e=exp(1)
for k =1:15
    n=10^k;
    x(k)=n;
    A(k,1)=k;
    A(k,2) =(1+1/n)^n;
    A(k,3) =abs(e-A(k,2));
end
loglog(x,A(:,3),'--p')
A
